Page MenuHomePhabricator

<mapframe> doesn't work so well at the poles
Open, LowestPublic

Description

See e.g. https://commons.wikimedia.org/wiki/Category:South_Pole_Telescope - because mapframe uses cartesian tiles, it breaks down at the polls, and displays whitespace below and massively distorts the lowest/highest latitudes.

Related Objects

Event Timeline

Restricted Application added a project: Discovery. · View Herald TranscriptJan 28 2018, 10:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Mholloway closed this task as Declined.Aug 21 2018, 3:36 PM
Mholloway added a subscriber: Mholloway.

It's unlikely we'll have the resources in the foreseeable future to support multiple projections.

Mike_Peel reopened this task as Open.Aug 24 2018, 11:40 PM
Mike_Peel triaged this task as Low priority.

That's fine, but it's still a bug that needs to be fixed at some point. So I've re-opened it with a low priority for now.

Aklapper lowered the priority of this task from Low to Lowest.Aug 25 2018, 9:27 AM

I posted this in the 2019 wishlist, but withdrew it as I realised that it's not actually possible to edit the maps at the poles on OSM as they use the same projection - so this probably needs OSM to fix things first. Not sure if it's possible to mark another organisation as the blocker for this issue!

https://meta.wikimedia.org/wiki/Community_Wishlist_Survey_2019/Archive/Mapframe_does_not_work_well_at_the_poles

Yurik added a subscriber: Yurik.Nov 6 2018, 5:57 PM

IIRC, OSM can store polar regions just fine, but it is the OSM's own rendering that causes problems. Wikipedia does not use OSM's renderer, but it is similar in structure.

Note that Vega <graph> tag can render non-mercator projections too, and it can get the data from the geoshape service - which downloads the data from the OSM. In other words, you can get the outline of antarctica and draw it. This should already be available - one would just need to design this graph using the <graph> tag.